
package org.adullact.spring_ws.iparapheur._1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.4-b01
 * Generated source version: 2.2
 * 
 */
@WebService(name = "InterfaceParapheur", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    org.adullact.spring_ws.iparapheur._1.ObjectFactory.class,
    org.w3._2005._05.xmlmime.ObjectFactory.class
})
public interface InterfaceParapheur {


    /**
     * 
     * @param effacerDossierRejeteRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.EffacerDossierRejeteResponse
     */
    @WebMethod(operationName = "EffacerDossierRejete")
    @WebResult(name = "EffacerDossierRejeteResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "EffacerDossierRejeteResponse")
    public EffacerDossierRejeteResponse effacerDossierRejete(
        @WebParam(name = "EffacerDossierRejeteRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "EffacerDossierRejeteRequest")
        String effacerDossierRejeteRequest);

    /**
     * 
     * @param getListeTypesRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetListeTypesResponse
     */
    @WebMethod(operationName = "GetListeTypes")
    @WebResult(name = "GetListeTypesResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeTypesResponse")
    public GetListeTypesResponse getListeTypes(
        @WebParam(name = "GetListeTypesRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeTypesRequest")
        Object getListeTypesRequest);

    /**
     * 
     * @param getListeMetaDonneesRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetListeMetaDonneesResponse
     */
    @WebMethod(operationName = "GetListeMetaDonnees")
    @WebResult(name = "GetListeMetaDonneesResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeMetaDonneesResponse")
    public GetListeMetaDonneesResponse getListeMetaDonnees(
        @WebParam(name = "GetListeMetaDonneesRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeMetaDonneesRequest")
        Object getListeMetaDonneesRequest);

    /**
     * 
     * @param creerDossierRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.CreerDossierResponse
     */
    @WebMethod(operationName = "CreerDossier")
    @WebResult(name = "CreerDossierResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "CreerDossierResponse")
    public CreerDossierResponse creerDossier(
        @WebParam(name = "CreerDossierRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "CreerDossierRequest")
        CreerDossierRequest creerDossierRequest);

    /**
     * 
     * @param creerDossierPESRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.CreerDossierPESResponse
     * @deprecated since 3.0. Use {@link InterfaceParapheurImpl#creerDossier(org.adullact.spring_ws.iparapheur._1.CreerDossierRequest) instead.
     */
    @WebMethod(operationName = "CreerDossierPES")
    @WebResult(name = "CreerDossierPESResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "CreerDossierPESResponse")
    @Deprecated
    public CreerDossierPESResponse creerDossierPES(
        @WebParam(name = "CreerDossierPESRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "CreerDossierPESRequest")
        CreerDossierPESRequest creerDossierPESRequest);

    /**
     * 
     * @param rechercherDossiersRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.RechercherDossiersResponse
     */
    @WebMethod(operationName = "RechercherDossiers")
    @WebResult(name = "RechercherDossiersResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "RechercherDossiersResponse")
    public RechercherDossiersResponse rechercherDossiers(
        @WebParam(name = "RechercherDossiersRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "RechercherDossiersRequest")
        RechercherDossiersRequest rechercherDossiersRequest);

    /**
     * 
     * @param getDossierRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetDossierResponse
     */
    @WebMethod(operationName = "GetDossier")
    @WebResult(name = "GetDossierResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetDossierResponse")
    public GetDossierResponse getDossier(
        @WebParam(name = "GetDossierRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetDossierRequest")
        String getDossierRequest);

    /**
     * 
     * @param envoyerDossierTdTRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.EnvoyerDossierTdTResponse
     */
    @WebMethod(operationName = "EnvoyerDossierTdT")
    @WebResult(name = "EnvoyerDossierTdTResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "EnvoyerDossierTdTResponse")
    public EnvoyerDossierTdTResponse envoyerDossierTdT(
        @WebParam(name = "EnvoyerDossierTdTRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "EnvoyerDossierTdTRequest")
        String envoyerDossierTdTRequest);

    /**
     * 
     * @param forcerEtapeRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.ForcerEtapeResponse
     */
    @WebMethod(operationName = "ForcerEtape")
    @WebResult(name = "ForcerEtapeResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "ForcerEtapeResponse")
    public ForcerEtapeResponse forcerEtape(
        @WebParam(name = "ForcerEtapeRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "ForcerEtapeRequest")
        ForcerEtapeRequest forcerEtapeRequest);

    /**
     * 
     * @param getClassificationActesTdtRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetClassificationActesTdtResponse
     */
    @WebMethod(operationName = "GetClassificationActesTdt")
    @WebResult(name = "GetClassificationActesTdtResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetClassificationActesTdtResponse")
    public GetClassificationActesTdtResponse getClassificationActesTdt(
        @WebParam(name = "GetClassificationActesTdtRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetClassificationActesTdtRequest")
        GetClassificationActesTdtRequest getClassificationActesTdtRequest);

    /**
     * 
     * @param envoyerDossierPESRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.EnvoyerDossierPESResponse
     * @deprecated since 3.0. Use {@link InterfaceParapheurImpl#envoyerDossierTdT(String) instead.
     */
    @WebMethod(operationName = "EnvoyerDossierPES")
    @WebResult(name = "EnvoyerDossierPESResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "EnvoyerDossierPESResponse")
    @Deprecated
    public EnvoyerDossierPESResponse envoyerDossierPES(
        @WebParam(name = "EnvoyerDossierPESRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "EnvoyerDossierPESRequest")
        String envoyerDossierPESRequest);

    /**
     * 
     * @param archiverDossierRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.ArchiverDossierResponse
     */
    @WebMethod(operationName = "ArchiverDossier")
    @WebResult(name = "ArchiverDossierResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "ArchiverDossierResponse")
    public ArchiverDossierResponse archiverDossier(
        @WebParam(name = "ArchiverDossierRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "ArchiverDossierRequest")
        ArchiverDossierRequest archiverDossierRequest);

    /**
     * 
     * @param getCircuitRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetCircuitResponse
     */
    @WebMethod(operationName = "GetCircuit")
    @WebResult(name = "GetCircuitResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetCircuitResponse")
    public GetCircuitResponse getCircuit(
        @WebParam(name = "GetCircuitRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetCircuitRequest")
        GetCircuitRequest getCircuitRequest);

    /**
     * 
     * @param echoRequest
     * @return
     *     returns java.lang.String
     */
    @WebMethod
    @WebResult(name = "echoResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "echoResponse")
    public String echo(
        @WebParam(name = "echoRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "echoRequest")
        String echoRequest);

    /**
     * 
     * @param getListeSousTypesRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetListeSousTypesResponse
     */
    @WebMethod(operationName = "GetListeSousTypes")
    @WebResult(name = "GetListeSousTypesResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeSousTypesResponse")
    public GetListeSousTypesResponse getListeSousTypes(
        @WebParam(name = "GetListeSousTypesRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeSousTypesRequest")
        String getListeSousTypesRequest);

    /**
     * 
     * @param getHistoDossierRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetHistoDossierResponse
     */
    @WebMethod(operationName = "GetHistoDossier")
    @WebResult(name = "GetHistoDossierResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetHistoDossierResponse")
    public GetHistoDossierResponse getHistoDossier(
        @WebParam(name = "GetHistoDossierRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetHistoDossierRequest")
        String getHistoDossierRequest);

    /**
     * 
     * @param exercerDroitRemordDossierRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.ExercerDroitRemordDossierResponse
     */
    @WebMethod(operationName = "ExercerDroitRemordDossier")
    @WebResult(name = "ExercerDroitRemordDossierResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "ExercerDroitRemordDossierResponse")
    public ExercerDroitRemordDossierResponse exercerDroitRemordDossier(
        @WebParam(name = "ExercerDroitRemordDossierRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "ExercerDroitRemordDossierRequest")
        String exercerDroitRemordDossierRequest);

    /**
     * 
     * @param getStatutTdTRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetStatutTdTResponse
     */
    @WebMethod(operationName = "GetStatutTdT")
    @WebResult(name = "GetStatutTdTResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetStatutTdTResponse")
    public GetStatutTdTResponse getStatutTdT(
        @WebParam(name = "GetStatutTdTRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetStatutTdTRequest")
        String getStatutTdTRequest);

    /**
     * 
     * @param envoyerDossierMailSecuriseRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.EnvoyerDossierMailSecuriseResponse
     */
    @WebMethod(operationName = "EnvoyerDossierMailSecurise")
    @WebResult(name = "EnvoyerDossierMailSecuriseResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "EnvoyerDossierMailSecuriseResponse")
    public EnvoyerDossierMailSecuriseResponse envoyerDossierMailSecurise(
        @WebParam(name = "EnvoyerDossierMailSecuriseRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "EnvoyerDossierMailSecuriseRequest")
        EnvoyerDossierMailSecuriseRequest envoyerDossierMailSecuriseRequest);

    /**
     * 
     * @param isUtilisateurExisteRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.IsUtilisateurExisteResponse
     */
    @WebMethod(operationName = "IsUtilisateurExiste")
    @WebResult(name = "IsUtilisateurExisteResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "IsUtilisateurExisteResponse")
    public IsUtilisateurExisteResponse isUtilisateurExiste(
        @WebParam(name = "IsUtilisateurExisteRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "IsUtilisateurExisteRequest")
        String isUtilisateurExisteRequest);

    /**
     * 
     * @param getListeTypesPourUtilisateurRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetListeTypesPourUtilisateurResponse
     */
    @WebMethod(operationName = "GetListeTypesPourUtilisateur")
    @WebResult(name = "GetListeTypesPourUtilisateurResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeTypesPourUtilisateurResponse")
    public GetListeTypesPourUtilisateurResponse getListeTypesPourUtilisateur(
        @WebParam(name = "GetListeTypesPourUtilisateurRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeTypesPourUtilisateurRequest")
        String getListeTypesPourUtilisateurRequest);

    /**
     * 
     * @param getListeSousTypesPourUtilisateurRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetListeSousTypesPourUtilisateurResponse
     */
    @WebMethod(operationName = "GetListeSousTypesPourUtilisateur")
    @WebResult(name = "GetListeSousTypesPourUtilisateurResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeSousTypesPourUtilisateurResponse")
    public GetListeSousTypesPourUtilisateurResponse getListeSousTypesPourUtilisateur(
        @WebParam(name = "GetListeSousTypesPourUtilisateurRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetListeSousTypesPourUtilisateurRequest")
        GetListeSousTypesPourUtilisateurRequest getListeSousTypesPourUtilisateurRequest);

    /**
     * 
     * @param getCircuitPourUtilisateurRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetCircuitPourUtilisateurResponse
     */
    @WebMethod(operationName = "GetCircuitPourUtilisateur")
    @WebResult(name = "GetCircuitPourUtilisateurResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetCircuitPourUtilisateurResponse")
    public GetCircuitPourUtilisateurResponse getCircuitPourUtilisateur(
        @WebParam(name = "GetCircuitPourUtilisateurRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetCircuitPourUtilisateurRequest")
        GetCircuitPourUtilisateurRequest getCircuitPourUtilisateurRequest);

    /**
     * 
     * @param getMetaDonneesRequisesPourTypeSoustypeRequest
     * @return
     *     returns org.adullact.spring_ws.iparapheur._1.GetMetaDonneesRequisesPourTypeSoustypeResponse
     */
    @WebMethod(operationName = "GetMetaDonneesRequisesPourTypeSoustype")
    @WebResult(name = "GetMetaDonneesRequisesPourTypeSoustypeResponse", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetMetaDonneesRequisesPourTypeSoustypeResponse")
    public GetMetaDonneesRequisesPourTypeSoustypeResponse getMetaDonneesRequisesPourTypeSoustype(
        @WebParam(name = "GetMetaDonneesRequisesPourTypeSoustypeRequest", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", partName = "GetMetaDonneesRequisesPourTypeSoustypeRequest")
        GetMetaDonneesRequisesPourTypeSoustypeRequest getMetaDonneesRequisesPourTypeSoustypeRequest);

}
